VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ObjCClassBuilder Struct Reference

`#include <objcclassbuilder.h>`

## Public Member Functions
ObjCClassBuilder & | init (const char *name, Class baseClass)
template<typename Func>
ObjCClassBuilder & | addMethod (SEL selector, Func imp)
template<typename T>
ObjCClassBuilder & | addIvar (const char *name)
ObjCClassBuilder & | addProtocol (const char *name)
ObjCClassBuilder & | addProtocol (Protocol *proto)
Class | finalize ()

## Member Function Documentation

## ◆ init()

ObjCClassBuilder & init | ( | const char * | name,
|  | Class | baseClass )
| inline

## ◆ addMethod()

template<typename Func>

ObjCClassBuilder & addMethod | ( | SEL | selector,
|  | Func | imp )

## ◆ addIvar()

template<typename T>

ObjCClassBuilder & addIvar | ( | const char * | name | ) |
| inline

## ◆ addProtocol() [1/2]

ObjCClassBuilder & addProtocol | ( | const char * | name | ) |
| inline

## ◆ addProtocol() [2/2]

ObjCClassBuilder & addProtocol | ( | Protocol * | proto | ) |
| inline

## ◆ finalize()

Class finalize | ( |  | ) |
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.